Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005227TestLinkBug Tracking Systems Integrationpublic2012-09-12 18:392013-05-22 20:56
Reporterrachel_hrs 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version2.0 (planned) 
Summary0005227: [Mantisbt integration] Allow Configuration of Custom Statuses via XML
DescriptionWe use many custom bug statuses in our Mantis installation. Unfortunately, when we use the Mantis Integration to Testlink, the bugs often display as "[Custom status NOT CONFIGURED on Test Link - see event viewer]". While I can configure the text to be displayed easily in custom_strings.txt, I have to edit mantisdbInterface.class.php or mantissoapInterface.class.php directly in order to change the statuses and their assigned colors. While this is simple to do, it does cause problems when upgrading versions of testlink because the person doing the upgrade may not be aware of the customizations.

It would be nice if id, name, and color could be configured via XML when defining the issue tracker.
TagsFIXED ON 1.9 BRANCH
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version5.2.6
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005193closedfman Availables hot-fixes for 1.9.4 & How To get full fixed package from gitorious 

-  Notes
(0017487)
fman (administrator)
2012-09-15 09:52
edited on: 2012-09-15 17:51

This will be added on xml configuration
<statuscfg>
<status><code>10</code><verbose>new</verbose><color>#ffa0a0</color></status>
<status><code>20</code><verbose>feedback</verbose><color>#ff50a8</color></status>
<status><code>30</code><verbose>acknowledged</verbose><color>#ffd850</color></status>
<status><code>40</code><verbose>confirmed</verbose><color>#ffffb0</color></status>
</statuscfg>


with this we will INITALIZE class properties, overwriting default values

(0017488)
fman (administrator)
2012-09-15 17:59
edited on: 2012-09-15 18:32

1.9 http://gitorious.org/testlink-ga/testlink-code/commit/596eb0b3a0585d774257a4359bd304fe2596131f [^]

2.0 http://gitorious.org/testlink-ga/testlink-code/commit/86dbd9644075c568569b7082363492e14b4f2e15 [^]


- Issue History
Date Modified Username Field Change
2012-09-12 18:39 rachel_hrs New Issue
2012-09-15 09:52 fman Note Added: 0017487
2012-09-15 10:37 fman Assigned To => fman
2012-09-15 10:37 fman Status new => assigned
2012-09-15 17:50 fman Note View State: 0017487: public
2012-09-15 17:51 fman Note Edited: 0017487 View Revisions
2012-09-15 17:52 fman Summary Allow Configuration of Custom Statuses When Configuring Issue Tracker Integration => [Mantisbt integration] Allow Configuration of Custom Statuses via XML
2012-09-15 17:59 fman Note Added: 0017488
2012-09-15 17:59 fman Relationship added child of 0005193
2012-09-15 18:32 fman Note Edited: 0017488 View Revisions
2012-09-17 19:17 fman Task Workflow Status TBD => READY FOR TESTING
2012-09-17 19:17 fman Status assigned => resolved
2012-09-17 19:17 fman Fixed in Version => 2.0 (planned)
2012-09-17 19:17 fman Resolution open => fixed
2013-05-09 06:09 fman Tag Attached: FIXED ON 1.9 BRANCH
2013-05-22 20:56 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker